Updates the status of a batch (Open, Pending, or Closed)
Use this endpoint to transition a batch between statuses:
- Open: Batch must currently be Pending. Un-voids all bills in the batch.
- Pending: Batch must currently be Open. Voids all bills in the batch.
- Closed: Batch must currently be Open or Pending. If Pending, un-voids bills first.
Opening another user’s pending batch transfers ownership to the requesting user. Set LeaveOpenBatchesAsIs to true to prevent the requesting user’s existing open batches from being set to Pending during the transfer.
Requires BillsAndBatches Create to update own batch or open another user’s pending batch. Requires BillsAndBatches Manage to update another user’s batch to Closed or Pending.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| batchId | Unique numeric identifier of the batch to update | integer (int32) | Required |
Request Body
UpdateBatchStatusRequestV202206
| Property | Description | Type |
|---|---|---|
| batchStatus | The status to set on the batch Required One of ‘Open’, ‘Pending’, ‘Closed’ Case sensitive | string |
| leaveOpenBatchesAsIs | If not provided or false, any open batches for the requesting user will be set to pending, when another pending batch is switched to open If true, any open batches for the requesting user will be left open, when another pending batch is switched to open. Required (defined) | boolean |
| note | The batch note, referred to as a comment in the application when setting state to pending. If opening another user’s batch, the note will only be applied to the requesting user’s open batch that is being set to pending (if any). If null, the note will not be updated. Set to an empty string to remove the current note. Must be between 0 and 255 characters Required (defined) | string |
Example Request Body
{ "batchStatus": "string", "leaveOpenBatchesAsIs": false, "note": "string"
}
Responses
204
No Content
The request succeeded. No content is returned in the response body.